# Get latest OTP GET https://api2.freecustom.email/v1/inboxes/{inbox}/otp Returns the OTP and/or verification link from the most recent message that contains one. Requires Growth plan or higher. On lower plans, message list endpoints return `otp: "__DETECTED__"` as a hint that an OTP exists — use this endpoint (Growth+) to read the actual value. Reference: https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/inbox/otp/get-latest-otp ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/inboxes/{inbox}/otp: get: operationId: get-latest-otp summary: Get latest OTP description: | Returns the OTP and/or verification link from the most recent message that contains one. Requires Growth plan or higher. On lower plans, message list endpoints return `otp: "__DETECTED__"` as a hint that an OTP exists — use this endpoint (Growth+) to read the actual value. tags: - >- subpackage_v1.subpackage_v1/inboxes.subpackage_v1/inboxes/inbox.subpackage_v1/inboxes/inbox/otp parameters: - name: inbox in: path required: true schema: type: string - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/v1_inboxes_{inbox}_otp_Get latest OTP_Response_200 '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/GetV1InboxesInboxOtpRequestUnauthorizedError '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/GetV1InboxesInboxOtpRequestForbiddenError' '429': description: Too Many Requests content: application/json: schema: $ref: >- #/components/schemas/GetV1InboxesInboxOtpRequestTooManyRequestsError servers: - url: https://api2.freecustom.email components: schemas: V1InboxesInboxOtpGetResponsesContentApplicationJsonSchemaData: type: object properties: otp: type: string from: type: string inbox: type: string message: type: string subject: type: string message_id: type: string received_at: type: string format: date-time verification_link: type: string required: - otp - from - inbox - message - subject - message_id - received_at - verification_link title: V1InboxesInboxOtpGetResponsesContentApplicationJsonSchemaData v1_inboxes_{inbox}_otp_Get latest OTP_Response_200: type: object properties: data: $ref: >- #/components/schemas/V1InboxesInboxOtpGetResponsesContentApplicationJsonSchemaData success: type: boolean required: - data - success title: v1_inboxes_{inbox}_otp_Get latest OTP_Response_200 GetV1InboxesInboxOtpRequestUnauthorizedError: type: object properties: error: type: string message: type: string success: type: boolean required: - error - message - success title: GetV1InboxesInboxOtpRequestUnauthorizedError GetV1InboxesInboxOtpRequestForbiddenError: type: object properties: error: type: string message: type: string success: type: boolean upgrade_url: type: string format: uri required: - error - message - success - upgrade_url title: GetV1InboxesInboxOtpRequestForbiddenError GetV1InboxesInboxOtpRequestTooManyRequestsError: type: object properties: hint: type: string error: type: string message: type: string success: type: boolean credits_url: type: string format: uri upgrade_url: type: string format: uri required: - hint - error - message - success - credits_url - upgrade_url title: GetV1InboxesInboxOtpRequestTooManyRequestsError securitySchemes: bearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python v1_inboxes_{inbox}_otp_Get latest OTP_example import requests url = "https://api2.freecustom.email/v1/inboxes/string/otp" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript v1_inboxes_{inbox}_otp_Get latest OTP_example const url = 'https://api2.freecustom.email/v1/inboxes/string/otp'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_inboxes_{inbox}_otp_Get latest OTP_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/inboxes/string/otp" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_inboxes_{inbox}_otp_Get latest OTP_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/inboxes/string/otp") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_inboxes_{inbox}_otp_Get latest OTP_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api2.freecustom.email/v1/inboxes/string/otp") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_inboxes_{inbox}_otp_Get latest OTP_example request('GET', 'https://api2.freecustom.email/v1/inboxes/string/otp', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_inboxes_{inbox}_otp_Get latest OTP_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/inboxes/string/otp"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_inboxes_{inbox}_otp_Get latest OTP_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/inboxes/string/otp")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```